<?php

namespace Drupal\markitdown\Plugin\Menu\LocalAction;

use Drupal\Core\Menu\LocalActionDefault;
use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\Core\StringTranslation\StringTranslationTrait;

/**
 * Defines a local action plugin for converting files to markdown.
 */
class ConvertToMarkdownAction extends LocalActionDefault {

  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function getTitle(array $options = []) {
    return $this->t('Convert to Markdown');
  }

  /**
   * {@inheritdoc}
   */
  public function getRouteParameters(RouteMatchInterface $route_match) {
    $parameters = parent::getRouteParameters($route_match);

    if ($file = $route_match->getParameter('file')) {
      $parameters['file'] = $file->id();
    }

    return $parameters;
  }

}
