<?php

namespace Drupal\markitdown\Service;

/**
 * Interface for markdown converter strategies.
 */
interface ConverterStrategyInterface {

  /**
   * Convert a file to Markdown format.
   *
   * @param string $file_path
   *   The path to the file to convert.
   * @param array $options
   *   An array of options:
   *   - output_mode: Either 'text' to return the content or 'file' to save it.
   *   - output_path: The path where to save the file (only for 'file' mode).
   *
   * @return mixed
   *   If output_mode is 'text', returns the markdown content as a string.
   *   If output_mode is 'file', returns TRUE on success, FALSE otherwise.
   */
  public function convert($file_path, array $options = []);

}
